## NAS Signal Info indication NAS Signal Info indication |

## Functions

QmiIndicationNasSignalInfoOutput * | qmi_indication_nas_signal_info_output_ref ()
void | qmi_indication_nas_signal_info_output_unref ()
gboolean | qmi_indication_nas_signal_info_output_get_tdma_signal_strength ()
gboolean | qmi_indication_nas_signal_info_output_get_lte_signal_strength ()
gboolean | qmi_indication_nas_signal_info_output_get_wcdma_signal_strength ()
gboolean | qmi_indication_nas_signal_info_output_get_gsm_signal_strength ()
gboolean | qmi_indication_nas_signal_info_output_get_hdr_signal_strength ()
gboolean | qmi_indication_nas_signal_info_output_get_cdma_signal_strength ()

## Types and Values

| QmiIndicationNasSignalInfoOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationNasSignalInfoOutput

## Description

## Functions

### qmi_indication_nas_signal_info_output_ref ()

    QmiIndicationNasSignalInfoOutput *
    qmi_indication_nas_signal_info_output_ref
                                   (QmiIndicationNasSignalInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationNasSignalInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_indication_nas_signal_info_output_unref ()

    void
    qmi_indication_nas_signal_info_output_unref
                                   (QmiIndicationNasSignalInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationNasSignalInfoOutput. |

Since: 1.0

### qmi_indication_nas_signal_info_output_get_tdma_signal_strength ()

    gboolean
    qmi_indication_nas_signal_info_output_get_tdma_signal_strength
                                   (QmiIndicationNasSignalInfoOutput *self,
                                    gint8 *value_tdma_signal_strength,
                                    GError **error);

Get the 'TDMA Signal Strength' field from `self` .

#### Parameters

self | a QmiIndicationNasSignalInfoOutput. |
value_tdma_signal_strength | a placeholder for the output gint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_signal_info_output_get_lte_signal_strength ()

    gboolean
    qmi_indication_nas_signal_info_output_get_lte_signal_strength
                                   (QmiIndicationNasSignalInfoOutput *self,
                                    gint8 *value_lte_signal_strength_rssi,
                                    gint8 *value_lte_signal_strength_rsrq,
                                    gint16 *value_lte_signal_strength_rsrp,
                                    gint16 *value_lte_signal_strength_snr,
                                    GError **error);

Get the 'LTE Signal Strength' field from `self` .

#### Parameters

self | a QmiIndicationNasSignalInfoOutput. |
value_lte_signal_strength_rssi | a placeholder for the output gint8, or `NULL` if not required. |
value_lte_signal_strength_rsrq | a placeholder for the output gint8, or `NULL` if not required. |
value_lte_signal_strength_rsrp | a placeholder for the output gint16, or `NULL` if not required. |
value_lte_signal_strength_snr | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_signal_info_output_get_wcdma_signal_strength ()

    gboolean
    qmi_indication_nas_signal_info_output_get_wcdma_signal_strength
                                   (QmiIndicationNasSignalInfoOutput *self,
                                    gint8 *value_wcdma_signal_strength_rssi,
                                    gint16 *value_wcdma_signal_strength_ecio,
                                    GError **error);

Get the 'WCDMA Signal Strength' field from `self` .

#### Parameters

self | a QmiIndicationNasSignalInfoOutput. |
value_wcdma_signal_strength_rssi | a placeholder for the output gint8, or `NULL` if not required. |
value_wcdma_signal_strength_ecio | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_signal_info_output_get_gsm_signal_strength ()

    gboolean
    qmi_indication_nas_signal_info_output_get_gsm_signal_strength
                                   (QmiIndicationNasSignalInfoOutput *self,
                                    gint8 *value_gsm_signal_strength,
                                    GError **error);

Get the 'GSM Signal Strength' field from `self` .

#### Parameters

self | a QmiIndicationNasSignalInfoOutput. |
value_gsm_signal_strength | a placeholder for the output gint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_signal_info_output_get_hdr_signal_strength ()

    gboolean
    qmi_indication_nas_signal_info_output_get_hdr_signal_strength
                                   (QmiIndicationNasSignalInfoOutput *self,
                                    gint8 *value_hdr_signal_strength_rssi,
                                    gint16 *value_hdr_signal_strength_ecio,
                                    QmiNasEvdoSinrLevel *value_hdr_signal_strength_sinr,
                                    gint32 *value_hdr_signal_strength_io,
                                    GError **error);

Get the 'HDR Signal Strength' field from `self` .

#### Parameters

self | a QmiIndicationNasSignalInfoOutput. |
value_hdr_signal_strength_rssi | a placeholder for the output gint8, or `NULL` if not required. |
value_hdr_signal_strength_ecio | a placeholder for the output gint16, or `NULL` if not required. |
value_hdr_signal_strength_sinr | a placeholder for the output QmiNasEvdoSinrLevel, or `NULL` if not required. |
value_hdr_signal_strength_io | a placeholder for the output gint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_signal_info_output_get_cdma_signal_strength ()

    gboolean
    qmi_indication_nas_signal_info_output_get_cdma_signal_strength
                                   (QmiIndicationNasSignalInfoOutput *self,
                                    gint8 *value_cdma_signal_strength_rssi,
                                    gint16 *value_cdma_signal_strength_ecio,
                                    GError **error);

Get the 'CDMA Signal Strength' field from `self` .

#### Parameters

self | a QmiIndicationNasSignalInfoOutput. |
value_cdma_signal_strength_rssi | a placeholder for the output gint8, or `NULL` if not required. |
value_cdma_signal_strength_ecio | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

## Types and Values

### QmiIndicationNasSignalInfoOutput

    typedef struct _QmiIndicationNasSignalInfoOutput QmiIndicationNasSignalInfoOutput;

The QmiIndicationNasSignalInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0